Subject: Re: bug#17080: [PATCH] egrep, fgrep: go back to shell scripts

From: Eli Zaretskii <[email-masked]>
Date: Thu, 27 Mar 2014 19:53:47 +0200

> From: Paul Eggert <[email-masked]>
> Date: Sun, 23 Mar 2014 17:21:35 -0700
> 
> Although egrep's and fgrep's switch from shell scripts to
> executables may have made sense in 2005, it complicated
> maintenance and recently has caused subtle performance bugs.
> Go back to the old way of doing things, as it's simpler and more
> easily separated from the mainstream implementation.  This should
> be good enough nowadays, as POSIX has withdrawn egrep/fgrep and
> portable applications should be using -E/-F anyway.

I urge you to reconsider: using shell scripts will be bad news for any
system that doesn't use a Unix shell.  Those whose muscle memory is
used to typing "fgrep" will have hard time relearning to type "grep -F" 
instead.